> For the complete documentation index, see [llms.txt](https://docs.onyxia.sh/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.onyxia.sh/docs.onyxia.sh/v6/migration-guides/v5-greater-than-v6.md).

# v5 -> v6

The only breaking change in this release is the split of Onyxia service account into two separate service accounts : one for the API (which usually requires high permission to deploy services) and one for the WEB pod (qui usually should not have any permissions tied to it).\
Due to this change, the global `serviceAccount` values key was duplicated in both `web.serviceAccount` and `api.serviceAccount`.\
\
See:

{% embed url="<https://github.com/InseeFrLab/onyxia/blob/v6.0.1/helm-chart/values.yaml#L77>" %}

&#x20;and&#x20;

{% embed url="<https://github.com/InseeFrLab/onyxia/blob/v6.0.1/helm-chart/values.yaml#L160>" %}

Example of change :

{% code title="onyxia-values.yaml" %}

```diff
onyxia:
-  serviceAccount:
-    create: true
-    clusterAdmin: true
   api:
+    serviceAccount:
+      create: true
+      clusterAdmin: true
   web:
+    serviceAccount:
+      create: true 
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.onyxia.sh/docs.onyxia.sh/v6/migration-guides/v5-greater-than-v6.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
